package com.huimv.production.autoGetData.utils;

import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class DateUtil {

    //格式化本年
    public String getThisYear(){
        Calendar cal = Calendar.getInstance();
        int year = cal.get(Calendar.YEAR);
        return String.valueOf(year);
    }

    //格式化本月
    public String getThisMonth(){
        Calendar cal = Calendar.getInstance();
        int month = cal.get(Calendar.MONTH) + 1;
        if(String.valueOf(month).length()==1)
        {
            return "0"+String.valueOf(month);
        }else{
            return String.valueOf(month);
        }
    }

    //格式化日期时间
    public String formatDateTime(String dateText) throws ParseException {
        if(dateText.indexOf("T") != -1){
            dateText = dateText.replace("T"," ");
        }
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = sdf.parse(dateText);
        return sdf.format(date);
    }

    //
    public Date getTodayDate() throws ParseException {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        return sdf.parse(sdf.format(new Date()));
    }



}
